STRUCT MIPI_DSI_DEVI(9)

NAME
struct_mipi_dsi_device - DSI peripheral device

SYNOPSIS

struct mipi_dsi_device {
  struct mipi_dsi_host * host;
  struct device dev;
  unsigned int channel;
  unsigned int lanes;
  enum mipi_dsi_pixel_format format;
  unsigned long mode_flags;
};

MEMBERS

host
    DSI host for this peripheral

dev
    driver model device node for this peripheral

channel
    virtual channel assigned to the peripheral

lanes
    number of active data lanes

format
    pixel format for video mode

mode_flags
    DSI operation mode related flags

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT